> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chessa.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate US Routing Number

> Validate a US bank routing number.



## OpenAPI

````yaml POST /v1/recipients/validate/routing/us
openapi: 3.0.3
info:
  title: Chessa Accounts API
  description: API collection for Chessa Accounts services
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.chessa.ai
security: []
tags:
  - name: User Endpoints
    description: Endpoints related to user management
  - name: Configuration Endpoints
    description: Endpoints for fetching application configurations
  - name: Recipient Endpoints
    description: Endpoints for managing recipients
  - name: Order Endpoints
    description: Endpoints for managing orders
  - name: Rate Endpoints
    description: Endpoints for exchange rates and fees
  - name: Referral Endpoints
    description: Endpoints for managing referrals
paths:
  /v1/recipients/validate/routing/us:
    post:
      tags:
        - Recipient Endpoints
      summary: Validate US Routing Number
      description: Validate a US bank routing number.
      operationId: validateUsRoutingNumber
      parameters:
        - name: x-client-id
          in: header
          schema:
            type: string
            example: ''
        - name: x-client-secret
          in: header
          schema:
            type: string
            example: ''
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                routingNumber:
                  type: string
                  example: '021000021'
            example:
              routingNumber: '021000021'
      responses:
        '200':
          description: Success Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  bankName:
                    type: string
                    example: JPMorgan Chase Bank
                  city:
                    type: string
                    example: New York
                  routingNumber:
                    type: string
                    example: '021000021'
                  state:
                    type: string
                    example: NY
                  valid:
                    type: boolean
                    example: true
              examples:
                Success Response:
                  value:
                    bankName: JPMorgan Chase Bank
                    city: New York
                    routingNumber: '021000021'
                    state: NY
                    valid: true
        '400':
          description: Error Response - Invalid Routing Number
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: invalid_routing_number
                  message:
                    type: string
                    example: Invalid US routing number
                  statusCode:
                    type: number
                    example: 400
              examples:
                Error Response - Invalid Routing Number:
                  value:
                    error: invalid_routing_number
                    message: Invalid US routing number
                    statusCode: 400

````